Subject: Re: [PATCH v6 2/2] tr2: log parent process name

From: Junio C Hamano <[email-masked]>
Date: Mon, 02 Aug 2021 09:24:57 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> On Wed, Jul 21 2021, Emily Shaffer wrote:
>
>>  compat/linux/procinfo.c                | 55 ++++++++++++++++++++++++++
>> [...]
>> +	/* NEEDSWORK: add non-procfs-linux implementations here */
>
> We'd want non-Windows and non-Linux implementations of this, but that
> NEEDSWORK comment should not be in compat/linux/procinfo.c, where we're
> never going to add non-Linux code.

I am puzzled.  This is talking about additional implementation for
Linux that does not use procfs, no (i.e. what to do with builds of
Linux that compile out the procfs support or installations that do
not mount the /proc hierarchy)?

The comment seems to be at the right place to remind us of them,
even though I do not know how important such an environment is.